package com.fidms.web.mapper;

import java.util.List;
import com.fidms.web.domain.FlowFieldOutput;

/**
 * 流场输出Mapper接口
 * 
 * @author Allen
 * @date 2023-05-08
 */
public interface FlowFieldOutputMapper 
{
    /**
     * 查询流场输出
     * 
     * @param id 流场输出主键
     * @return 流场输出
     */
    public FlowFieldOutput selectFlowFieldOutputById(Long id);

    /**
     * 查询流场输出列表
     * 
     * @param flowFieldOutput 流场输出
     * @return 流场输出集合
     */
    public List<FlowFieldOutput> selectFlowFieldOutputList(FlowFieldOutput flowFieldOutput);

    /**
     * 新增流场输出
     * 
     * @param flowFieldOutput 流场输出
     * @return 结果
     */
    public int insertFlowFieldOutput(FlowFieldOutput flowFieldOutput);

    /**
     * 修改流场输出
     * 
     * @param flowFieldOutput 流场输出
     * @return 结果
     */
    public int updateFlowFieldOutput(FlowFieldOutput flowFieldOutput);

    /**
     * 删除流场输出
     * 
     * @param id 流场输出主键
     * @return 结果
     */
    public int deleteFlowFieldOutputById(Long id);

    /**
     * 批量删除流场输出
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFlowFieldOutputByIds(Long[] ids);

    public List getFlowOutputOption();
}
